# Update profile

`PATCH https://api.parklio.com/v2/accounts/profile`

Update self account profile data

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `account_role_id` | number | no |  |
| `name` | string | no |  |
| `contact_name` | string | no |  |
| `contact_email` | string | no |  |
| `contact_phone` | string | no |  |
| `billing_title` | string | no |  |
| `vat` | string | no |  |
| `address` | string | no |  |
| `city` | string | no |  |
| `zip_code` | string | no |  |
| `organisation_id` | string | no |  |
| `additional_custom_fee` | number | no |  |
| `my_pos_client_id` | string | no |  |
| `my_pos_secret` | string | no |  |

```json
{
  "account_role_id": 2,
  "name": "John Doe",
  "contact_name": "John Doe",
  "contact_email": "john.doe@example.com",
  "contact_phone": "+385 555 5555",
  "billing_title": "monthly",
  "vat": "25%",
  "address": "Put Stinica 12",
  "city": "Split",
  "zip_code": "21000",
  "organisation_id": "2481289123",
  "additional_custom_fee": "2.55",
  "my_pos_client_id": "NDQ5XjTbF3G5Yk9qwu7Yzg",
  "my_pos_secret": "ryIOXX5zVbJ2cmzxx6s6Sw"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 0,
    "account_role_id": 2,
    "name": "John Doe",
    "contact_name": "John Doe",
    "contact_email": "john.doe@example.com",
    "contact_phone": "+385 555 5555",
    "auto_extend": "2026-01-15T09:30:00.000Z",
    "billing_title": "monthly",
    "vat": "25%",
    "address": "Put Stinica 12",
    "city": "Split",
    "zip_code": "21000",
    "infinite_shares": 0,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "account_role": {
      "id": 2,
      "name": "PMS"
    },
    "authorities": [
      "string"
    ],
    "organisation_id": "string",
    "additional_custom_fee": 0,
    "my_pos_client_id": "string",
    "my_pos_secret": "string"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

